<?php
/*****************************************************
* Configuration file for OTP Authentication System
* Include: Database configuration
*					 Authentication params
*					 ...
*
*****************************************************/
	$dbconfig = array(
	"db_host" => "localhost",			//database server host
	"db_port" => "3306",					//port number	3306--mysql
	"db_user" => "root",					//user to connect the database
	"db_password" => "258852",		//password for user authentication
	"db_dbname" => "new_otp",			//name of database to be connected
	"db_characterset" => "utf8",		//character set(never change it unless you know it very well)
	"db_dbtype" => 1,							//1 for mysql, 2 for postgresql, 3 for mssql, 4 for oracle
	"db_prefix" => ""						//not set 
	);
	switch($dbconfig['db_dbtype'])
	{
		case 2://pgsql
			$dbconfig['db_prefix'] = "pgsql_";
			break;
		case 3://mssql
			$dbconfig['db_prefix'] = "mssql_";
			break;
		case 4://oracle
			$dbconfig['db_prefix'] = "oracle_";
			break;
		default://mysql
			$dbconfig['db_prefix'] = "mysql_";
			break;	
	}
	$srvconfig = array(
	"srv_lockinterval" => 10,								//minutes
	"srv_maxfailaccum" => 5, 								//max fail authentication allowed in continuous
	"srv_authwnd" => array(30, 30),					//authentication window size
	"srv_syncwnd" => array(100, 100),				//synchronize window size
	"srv_chgword_livetm" => 10,							//live time of challenge word	
	);
?>